HMT(4)

NAME
hmt - MS Windows 7/8/10 - compatible HID multi-touch device driver

SYNOPSIS
To compile this driver into the kernel, place the following lines into your kernel configuration file:

device hmt
device hidbus
device hid
device hconf
device evdev

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    hmt_load="YES"

DESCRIPTION
The hmt driver provides support for the MS Windows 7/8/10 - compatible HID multi-touch devices found in many laptops.

To get multi-touch device working in X(7) (ports/x11/xorg-docs), install ports/x11-drivers/xf86-input-evdev.

FILES
hmt creates a pseudo-device file, /dev/input/eventX which presents the multi-touch device as an input event device.

SEE ALSO
hid(4), loader.conf(5), xorg.conf(5) (ports/x11/xorg), evdev(4) (ports/x11-drivers/xf86-input-evdev).

AUTHORS
-nosplit The hmt driver was written by Vladimir Kondratyev <wulf@FreeBSD.org>.

BUGS
hmt cannot act like sysmouse(4)